# Uses of Enum Class
org.eclipse.osgi.container.Module.StartOptions

Packages that use Module.StartOptions
Package
Description
org.eclipse.osgi.container
org.eclipse.osgi.framework.util

## Uses of Module.StartOptions in org.eclipse.osgi.container

Methods in org.eclipse.osgi.container that return Module.StartOptions
Modifier and Type
Method
Description
`static Module.StartOptions`
Module.StartOptions.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Module.StartOptions[]`
Module.StartOptions.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.osgi.container with parameters of type Module.StartOptions
Modifier and Type
Method
Description
`boolean`
Module.StartOptions.`isContained(Module.StartOptions... options)`
Tests if this option is contained in the specified options
`void`
Module.`start(Module.StartOptions... options)`
Starts this module
`void`
SystemModule.`start(Module.StartOptions... options)`

## Uses of Module.StartOptions in org.eclipse.osgi.framework.util

Methods in org.eclipse.osgi.framework.util with parameters of type Module.StartOptions
Modifier and Type
Method
Description
`void`
SecureAction.`start(Module module, Module.StartOptions... options)`
Starts a module.